Skip to content

Get YouTube video

GET
/v1/youtube-video

Extract video metadata, view/like counts, and tags from a YouTube video.

Provide either video_id or url.

Credits: 1 per request.

video_id
string

YouTube video ID.

Example
dQw4w9WgXcQ
url
string

YouTube video URL.

Video data.

object
id
string
title
string
description
string
channel
object
id
string
name
string
url
string
metrics
object
view_count
integer
like_count
integer
comment_count
integer
published_at
string
duration
string
thumbnail
string
tags
Array<string>
category
string
X-Credits-Used
integer
X-Credits-Remaining
integer

Missing or invalid API key.

object
error

Error message.

string
Example
invalid or inactive api_key

Insufficient credits.

Rate limit exceeded.

object
error

Error message.

string
Example
invalid or inactive api_key
Retry-After
integer

Seconds to wait before retrying.